﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Win.UltraWinToolTip;

namespace _105237
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ValueList vl = new ValueList();
            
            for (int i = 0; i < 20; i++)
            {
                ValueListItem item = new ValueListItem(i,
                    string.Format("ValueListItem{0}", i));
                item.Tag = string.Format("Tooltip{0}", i);
                vl.ValueListItems.Add(item);
            }

            vl.DrawValueListItem += new DrawValueListItemEventHandler(vl_DrawValueListItem);
            
            ultraComboEditor1.ValueList = vl;
        }

        

        void vl_DrawValueListItem(object sender, DrawValueListItemEventArgs e)
        {
            Debug.WriteLine(e.TextAndImageAreaBounds);
            if (e.DrawItemEventArgs.State == DrawItemState.Selected)
            {
                //calculate location of the tooltip
                Point location = e.TextAndImageAreaBounds.Location;
                location.Offset(e.TextAndImageAreaBounds.Width, e.TextAndImageAreaBounds.Height + 3);
                location = ultraComboEditor1.PointToScreen(location);
                //adjust tolltip info 
                UltraToolTipInfo info = ultraToolTipManager1.GetUltraToolTip(ultraComboEditor1);
                info.ToolTipText = e.ValueListItem.Tag as string;
                //diplsy tooltip
                ultraToolTipManager1.ShowToolTip(ultraComboEditor1, location);
            }
        }

        
    }
}
